<html lang="en">
<head>
	<meta charset="utf-8">
	<title>Pemesanan Ruang Meeting</title>
  <link href="/assets/css/bootstrap.css" rel="stylesheet" type="text/css"/>
</head>
<body>
  <div class="container">
    <h2>Daftar Ruang Meeting</h2>
    <table class="table table-striped" id="mytable">
      <thead>
        <tr>
          <th>ID</th>
          <th>Nama</th>
          <th>Lokasi</th>
          <th>Kapasitas</th>
          <th>Harga</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
         {{#each results}}
        <tr>
          <td>{{ id }}</td>
          <td>{{ nama }}</td>
          <td>{{ daerah }}</td>
          <td>{{ kapasitas}}</td>
          <td>{{ harga }}</td>
         
          <td>
            <a href="javascript:void(0);" class="btn btn-sm btn-info edit" data-id="{{ id }}" data-nama="{{ nama }}" data-daerah="{{ daerah }}" data-kapasitas="{{ kapasitas }}" data-harga="{{ harga }}">Pilih</a>
          </td>
        </tr>
        {{/each}}
      </tbody>
    </table>
  </div>

	 <!-- Add Pesanan Modal-->
   <form action="/pesanroom/create" method="post">
       <div class="modal fade" id="EditModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="exampleModalLabel">Pesan Ruang Meeting</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
                <div class="form-group">
                   <input type="text" name="nama" class="form-control nama" disabled>
               </div>
               <div class="form-group">
                   <input type="text" name="daerah" class="form-control daerah" disabled>
               </div>

               <div class="form-group">
                   <input type="text" name="kapasitas" class="form-control kapasitas" disabled>
               </div>

               <div class="form-group">
                   <input type="text" name="harga" class="form-control harga" disabled>
               </div>
              <div class="form-group">
                   <input type="text" name="durasi" class="form-control durasi" placeholder="durasi" required>
               </div>

               <div class="form-group">
                   <input type="text" name="email" class="form-control email" placeholder="Email" required>
               </div>
              
            </div>
            <div class="modal-footer">
              <input type="hidden" name="id" class="id">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
              <button type="submit" class="btn btn-primary">Save</button>
            </div>
          </div>
        </div>
       </div>
  </form>

<script src="/assets/js/jquery-3.5.1.js"></script>
<script src="/assets/js/bootstrap.js"></script>
<script>
    $(document).ready(function(){
			//showing data to modal for edit record
      $('#mytable').on('click','.edit',function(){
       var id = $(this).data('id');
        var nama = $(this).data('nama');
        var daerah = $(this).data('daerah');
        var kapasitas = $(this).data('kapasitas');
        var harga = $(this).data('harga');
        var email = $(this).data('email');
        var durasi = $(this).data('durasi');

        $('#EditModal').modal('show');
        $('.id').val(id);
        $('.nama').val(nama);
        $('.daerah').val(daerah);
        $('.kapasitas').val(kapasitas);
        $('.harga').val(harga);
        $('.durasi').val(durasi);
        $('.email').val(email);
      });
	     

    });
</script>
</body>
</html>
